SDL_GL_MakeCurrent(3)

NAME
SDL_GL_MakeCurrent - Set up an OpenGL context for rendering into an OpenGL window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GL_MakeCurrent(SDL_Window *window, SDL_GLContext context);

DESCRIPTION
The context must have been created with a compatible window.

FUNCTION PARAMETERS

window
    the window to associate with the context.

context
    the OpenGL context to associate with the window.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GL_CreateContext(3)